import lazyload from './modules/lazyload.js'

const modules = {
    lazyload,
}

export default {
    install: (app, options = {}) => {
        const { router, store } = options
        Object.entries(modules).forEach(([name, method]) => {
            app.directive(name, (el, binding) =>
                method(el, binding, app, router, store),
            )
        })
    },
}
